package com.fzm.mall.server.admin.user_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/23 18:20
 * @description 会员等级
 * @since JDK 1.8
 */
public enum MemberLevelTypeEnum {

    ORDINARY(1),//普通
    SILVER(2),//白银
    GOLD(3),//黄金
    DIAMONDS(4),//钻石
    BLACK_CARD(5);//黑卡

    private Integer type;

    MemberLevelTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(MemberLevelTypeEnum.values())
                .map(MemberLevelTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
